GNU bug report logs - #51418
[PATCH 1/2] gnu: Add python-ipaddress.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Giacomo Leidi <goodoldpaul@HIDDEN>; Keywords: patch; merged with #51419; dated Tue, 26 Oct 2021 19:30:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 51418 51419. Request was from Liliana Marie Prikler <liliana.prikler@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51418 <at> debbugs.gnu.org:


Received: (at 51418) by debbugs.gnu.org; 26 Oct 2021 20:58:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 26 16:58:08 2021
Received: from localhost ([127.0.0.1]:47662 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfTWK-0006A9-NT
	for submit <at> debbugs.gnu.org; Tue, 26 Oct 2021 16:58:08 -0400
Received: from latitanza.investici.org ([82.94.249.234]:59651)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <goodoldpaul@HIDDEN>) id 1mfTWI-00069x-9s
 for 51418 <at> debbugs.gnu.org; Tue, 26 Oct 2021 16:58:07 -0400
Received: from mx3.investici.org (unknown [127.0.0.1])
 by latitanza.investici.org (Postfix) with ESMTP id 4Hf40X5QG4zGp4L;
 Tue, 26 Oct 2021 20:58:04 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=autistici.org;
 s=stigmate; t=1635281884;
 bh=fkuQe3Y3e0LGwKmB4mnTzeIrRlWQEjYs4rt9CiUFo10=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=JCNPfjYFBAtc0oYhy5+qZmZdldDp24FIhprmyKgXMfebpsZKfRo6+cA7SozJzO8zh
 T1qmiPPP4tW7DNtcLfOKclYavcyLnAEFGyrE7F8mHgMkeRyRgGj6oftUxx76bkXYaq
 IYG8ZTzEmZcNZwngENwolHvsCzuPXAN9BtiESmuI=
Received: from [82.94.249.234] (mx3.investici.org [82.94.249.234])
 (Authenticated sender: goodoldpaul@HIDDEN) by localhost (Postfix) with
 ESMTPSA id 4Hf40X4lYdzGp4H; Tue, 26 Oct 2021 20:58:04 +0000 (UTC)
Subject: Re: [bug#51418] Duplicate - please merge with 51419
To: Tobias Geerinckx-Rice <me@HIDDEN>
References: <20211026192859.875-1-goodoldpaul@HIDDEN>
 <8ceef358-2848-89db-a3e9-e55de3c3d058@HIDDEN>
 <9daa6a3f2f4e5aedde36a7b25190249c@HIDDEN>
From: paul <goodoldpaul@HIDDEN>
Message-ID: <a6776b39-a0ad-62e1-8877-fcfefcbad324@HIDDEN>
Date: Tue, 26 Oct 2021 22:58:03 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Icedove/78.15.0
MIME-Version: 1.0
In-Reply-To: <9daa6a3f2f4e5aedde36a7b25190249c@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 51418
Cc: 51418 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

Dear Tobias,

thank you, for merging.

On 10/26/21 9:59 PM, Tobias Geerinckx-Rice wrote:
> You can find the special recipient address and more information at 
> https://debbugs.gnu.org/server-control.html

This is very useful, thanks!

giacomo





Information forwarded to guix-patches@HIDDEN:
bug#51418; Package guix-patches. Full text available.

Message received at 51418 <at> debbugs.gnu.org:


Received: (at 51418) by debbugs.gnu.org; 26 Oct 2021 19:59:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 26 15:59:12 2021
Received: from localhost ([127.0.0.1]:47607 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfSbI-0002M3-A0
	for submit <at> debbugs.gnu.org; Tue, 26 Oct 2021 15:59:12 -0400
Received: from tobias.gr ([80.241.217.52]:54096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1mfSbH-0002Lv-3s
 for 51418 <at> debbugs.gnu.org; Tue, 26 Oct 2021 15:59:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=dQ4dlhZ6vziYH
 iRDaljsmLpUlFlKKSBDFyU0LJjcXAI=;
 h=references:in-reply-to:subject:cc:
 to:from:date; d=tobias.gr; b=XewxZsbuI6MfKufoMM4bQ9lp7E46OlisdWDbqDbaP
 Ugr1HG5fRD8OqQcaZEdjeI2jnuI7F+azqi7zhDdXMmOO7Nga7BvGoNN4nBNvU8ZwPNyFPf
 AEl7zIlfv1thWluds+94YFoJQ2Hbz78A8fWzAlpm0xDh5mfx1qU2q0JHAEc44SAUWdIq3X
 pKQvM5gLWCBEsaTSvb04lA1CIYnQ0nFxGCM5BCTDOhjTmjk5J7ijIgtrBN9JmX47kgT2im
 abDYx2BVkgXgVJwheMc6i1ALlWqyHIjDOo+J/LktKUtMxqK1fAC9eT8QomdaUJBrU/IC9/
 9PHLSA05zrd6cVWaeXxVQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTP id 17b86dbf;
 Tue, 26 Oct 2021 19:59:06 +0000 (UTC)
MIME-Version: 1.0
Date: Tue, 26 Oct 2021 21:59:06 +0200
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: paul <goodoldpaul@HIDDEN>
Subject: Re: [bug#51418] Duplicate - please merge with 51419
In-Reply-To: <8ceef358-2848-89db-a3e9-e55de3c3d058@HIDDEN>
References: <20211026192859.875-1-goodoldpaul@HIDDEN>
 <8ceef358-2848-89db-a3e9-e55de3c3d058@HIDDEN>
Message-ID: <9daa6a3f2f4e5aedde36a7b25190249c@HIDDEN>
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51418
Cc: 51418 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Giacomo,

> Is there a way to merge two tickets from issues.guix.gnu.org?

Yes.  See my simple mail doing just that at 
https://issues.guix.gnu.org/51419#1

You can find the special recipient address and more information at 
https://debbugs.gnu.org/server-control.html

Kind regards,

T G-R




Information forwarded to guix-patches@HIDDEN:
bug#51418; Package guix-patches. Full text available.
Merged 51418 51419. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51418 <at> debbugs.gnu.org:


Received: (at 51418) by debbugs.gnu.org; 26 Oct 2021 19:34:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 26 15:34:01 2021
Received: from localhost ([127.0.0.1]:47589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfSCv-0001Xj-Kp
	for submit <at> debbugs.gnu.org; Tue, 26 Oct 2021 15:34:01 -0400
Received: from latitanza.investici.org ([82.94.249.234]:30797)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <goodoldpaul@HIDDEN>) id 1mfSCu-0001Xb-Aj
 for 51418 <at> debbugs.gnu.org; Tue, 26 Oct 2021 15:34:00 -0400
Received: from mx3.investici.org (unknown [127.0.0.1])
 by latitanza.investici.org (Postfix) with ESMTP id 4Hf27W3XG4zGp4L
 for <51418 <at> debbugs.gnu.org>; Tue, 26 Oct 2021 19:33:59 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=autistici.org;
 s=stigmate; t=1635276839;
 bh=p6CJF0zm6/hzl4Yg6EZoQNa03GhM5RtA5DcC6hPTfDI=;
 h=To:From:Subject:Date:From;
 b=nTrQYgHWXWuqREV/2w9EGVke1QKchSL/WwxB9UWH87V0QhU+15C8mBKl9NbjhpqEP
 k3MXcSxRYo7t8/mbAA9W3e8WHJnXHFzWBz/W1pguvBvn58WA3CkB7rl0GJ0tlUjbaV
 UalY7zG+9DlykWI80d0up6fyig9AM9da0yxN1stU=
Received: from [82.94.249.234] (mx3.investici.org [82.94.249.234])
 (Authenticated sender: goodoldpaul@HIDDEN) by localhost (Postfix) with
 ESMTPSA id 4Hf27W37M2zGp4H
 for <51418 <at> debbugs.gnu.org>; Tue, 26 Oct 2021 19:33:59 +0000 (UTC)
To: 51418 <at> debbugs.gnu.org
From: paul <goodoldpaul@HIDDEN>
Subject: Duplicate - please merge with 51419
Message-ID: <8ceef358-2848-89db-a3e9-e55de3c3d058@HIDDEN>
Date: Tue, 26 Oct 2021 21:33:58 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Icedove/78.15.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51418
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dear all,

I apologize this should be merged with 51419 . Is there a way to merge 
two tickets from issues.guix.gnu.org?

Thank you,

giacomo





Information forwarded to guix-patches@HIDDEN:
bug#51418; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Oct 2021 19:29:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 26 15:29:43 2021
Received: from localhost ([127.0.0.1]:47578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfS8k-0001OX-Pe
	for submit <at> debbugs.gnu.org; Tue, 26 Oct 2021 15:29:42 -0400
Received: from lists.gnu.org ([209.51.188.17]:36130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <goodoldpaul@HIDDEN>) id 1mfS8j-0001OQ-Mn
 for submit <at> debbugs.gnu.org; Tue, 26 Oct 2021 15:29:42 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42212)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <goodoldpaul@HIDDEN>)
 id 1mfS8j-0006Dd-Gf
 for guix-patches@HIDDEN; Tue, 26 Oct 2021 15:29:41 -0400
Received: from latitanza.investici.org ([82.94.249.234]:40177)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <goodoldpaul@HIDDEN>)
 id 1mfS8g-0004Yi-C9
 for guix-patches@HIDDEN; Tue, 26 Oct 2021 15:29:41 -0400
Received: from mx3.investici.org (unknown [127.0.0.1])
 by latitanza.investici.org (Postfix) with ESMTP id 4Hf22F32njzGp4L;
 Tue, 26 Oct 2021 19:29:25 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=autistici.org;
 s=stigmate; t=1635276565;
 bh=0AP5iylYn3BxbiHUQfeuBhIffmdFexlOJRPXq5znxXg=;
 h=From:To:Cc:Subject:Date:From;
 b=FN1Ewi/a/OHiitGxf7bNhPz2MtQeUCxeb2nVRwA6UxZ+8yxfGL1w2XcTUJxRgm4nH
 9WJdrgsxbqla4ukbWgyjCSrbX9eFkAH7hPlLPxwTV8PEAkmRjNThvQQrG+zyNVRWck
 Ulqv7UI7WDPGhqL0Ugs4PIOdv/jNHxPCw25gRHLM=
Received: from [82.94.249.234] (mx3.investici.org [82.94.249.234])
 (Authenticated sender: goodoldpaul@HIDDEN) by localhost (Postfix) with
 ESMTPSA id 4Hf22F2D1MzGp4H; Tue, 26 Oct 2021 19:29:25 +0000 (UTC)
From: Giacomo Leidi <goodoldpaul@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 1/2] gnu: Add python-ipaddress.
Date: Tue, 26 Oct 2021 21:28:58 +0200
Message-Id: <20211026192859.875-1-goodoldpaul@HIDDEN>
X-Mailer: git-send-email 2.33.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=82.94.249.234;
 envelope-from=goodoldpaul@HIDDEN; helo=latitanza.investici.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Giacomo Leidi <goodoldpaul@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

* gnu/packages/python-xyz.scm (python-ipaddress): New variable;
(python2-ipaddress): Use package-with-python2.
---
 gnu/packages/python-xyz.scm | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index a7b1e0efe2..48404b441a 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -11159,9 +11159,9 @@ (define-public python-pyasn1-modules
 (define-public python2-pyasn1-modules
   (package-with-python2 python-pyasn1-modules))
 
-(define-public python2-ipaddress
+(define-public python-ipaddress
   (package
-    (name "python2-ipaddress")
+    (name "python-ipaddress")
     (version "1.0.23")
     (source (origin
               (method url-fetch)
@@ -11170,17 +11170,17 @@ (define-public python2-ipaddress
                (base32
                 "1qp743h30s04m3cg3yk3fycad930jv17q7dsslj4mfw0jlvf1y5p"))))
     (build-system python-build-system)
-    (arguments
-     `(#:python ,python-2))
     (home-page "https://github.com/phihag/ipaddress")
     (synopsis "IP address manipulation library")
     (description
       "This package provides a fast, lightweight IPv4/IPv6 manipulation library
  in Python.  This library is used to create, poke at, and manipulate IPv4 and
- IPv6 addresses and networks.  This is a port of the Python 3.3 ipaddress
- module to older versions of Python.")
+ IPv6 addresses and networks.")
     (license license:psfl)))
 
+(define-public python2-ipaddress
+  (package-with-python2 python-ipaddress))
+
 (define-public python-asn1tools
   (package
     (name "python-asn1tools")

base-commit: c6adc0947396daa6d85ab08837f9cbc86f4d8722
-- 
2.33.1





Acknowledgement sent to Giacomo Leidi <goodoldpaul@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#51418; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 27 Oct 2021 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.